#include "guess.h"
#include <iostream>

using namespace std;

int find_number(int dr) {
    int st = 0;
    int ans = 0;
    while(st <= dr) {
        int mid = (st + dr) / 2;
        // cout << st << " " << mid << " " << dr << "\n";
        if(smaller(mid))
            dr = mid - 1;
        else {
            ans = mid;
            st = mid + 1;
        }
    }
    return ans;
}